Skip to main content
GET
/
categories
curl -X GET https://api.marsai.com/categories
[
  {
    "id_categorie": 1,
    "name": "Drama",
    "createdAt": "2026-03-01T10:00:00Z",
    "updatedAt": "2026-03-01T10:00:00Z"
  },
  {
    "id_categorie": 2,
    "name": "Documentary",
    "createdAt": "2026-03-01T10:05:00Z",
    "updatedAt": "2026-03-01T10:05:00Z"
  },
  {
    "id_categorie": 3,
    "name": "Animation",
    "createdAt": "2026-03-01T10:10:00Z",
    "updatedAt": "2026-03-01T10:10:00Z"
  },
  {
    "id_categorie": 4,
    "name": "Experimental",
    "createdAt": "2026-03-01T10:15:00Z",
    "updatedAt": "2026-03-01T10:15:00Z"
  }
]
This endpoint is publicly accessible and does not require authentication.
Retrieves all film categories in the system.

Response

Returns an array of category objects:
id_categorie
integer
Unique identifier for the category
name
string
Name of the category
createdAt
string
Timestamp when the category was created
updatedAt
string
Timestamp when the category was last updated
curl -X GET https://api.marsai.com/categories
[
  {
    "id_categorie": 1,
    "name": "Drama",
    "createdAt": "2026-03-01T10:00:00Z",
    "updatedAt": "2026-03-01T10:00:00Z"
  },
  {
    "id_categorie": 2,
    "name": "Documentary",
    "createdAt": "2026-03-01T10:05:00Z",
    "updatedAt": "2026-03-01T10:05:00Z"
  },
  {
    "id_categorie": 3,
    "name": "Animation",
    "createdAt": "2026-03-01T10:10:00Z",
    "updatedAt": "2026-03-01T10:10:00Z"
  },
  {
    "id_categorie": 4,
    "name": "Experimental",
    "createdAt": "2026-03-01T10:15:00Z",
    "updatedAt": "2026-03-01T10:15:00Z"
  }
]